<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="40272573-9aca-41d2-8635-07c52106cf8d" name="Default" comment="">
      <change beforePath="" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableData.java" />
      <change beforePath="" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableDataGenerator.java" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" afterPath="$PROJECT_DIR$/.idea/workspace.xml" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/MainApp.java" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/MainApp.java" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/MainWindowController.java" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/MainWindowController.java" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/CaloriesDailyNeededCalculator.java" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/CaloriesDailyNeededCalculator.java" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/ResultController.java" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/ResultController.java" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen1/Screen1Controller.java" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen1/Screen1Controller.java" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen1/Serwis.java" afterPath="" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeOfDay.java" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeOfDay.java" />
      <change beforePath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeSettingsController.java" afterPath="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeSettingsController.java" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/fxml/main_window.fxml" afterPath="$PROJECT_DIR$/src/main/resources/fxml/main_window.fxml" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/fxml/result.fxml" afterPath="$PROJECT_DIR$/src/main/resources/fxml/result.fxml" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/fxml/time_settings.fxml" afterPath="$PROJECT_DIR$/src/main/resources/fxml/time_settings.fxml" />
      <change beforePath="$PROJECT_DIR$/src/main/resources/styles/MainWindow.css" afterPath="$PROJECT_DIR$/src/main/resources/styles/MainWindow.css" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CoverageDataManager">
    <SUITE FILE_PATH="coverage/systemy_ekspertowe$MainApp.coverage" NAME="MainApp Coverage Results" MODIFIED="1508075361992" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.sunkur.springjavafxcontroller.*</FILTER>
    </SUITE>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="CaloriesDailyNeededCalculator.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/CaloriesDailyNeededCalculator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="116" column="40" lean-forward="true" selection-start-line="116" selection-start-column="40" selection-end-line="116" selection-end-column="40" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ResultController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/ResultController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="420">
              <caret line="53" column="73" lean-forward="false" selection-start-line="53" selection-start-column="73" selection-end-line="53" selection-end-column="73" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="TableDataGenerator.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableDataGenerator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="201">
              <caret line="113" column="40" lean-forward="true" selection-start-line="113" selection-start-column="40" selection-end-line="113" selection-end-column="40" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#1716#1717#0" expanded="true" />
                <element signature="e#1774#1775#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="BodyPart.java" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/BodyPart.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="195">
              <caret line="15" column="0" lean-forward="true" selection-start-line="15" selection-start-column="0" selection-end-line="15" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="TableData.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableData.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="360">
              <caret line="24" column="29" lean-forward="false" selection-start-line="24" selection-start-column="29" selection-end-line="24" selection-end-column="29" />
              <folding>
                <element signature="e#799#800#0" expanded="true" />
                <element signature="e#826#827#0" expanded="true" />
                <element signature="e#876#877#0" expanded="true" />
                <element signature="e#897#898#0" expanded="true" />
                <element signature="e#930#931#0" expanded="true" />
                <element signature="e#959#960#0" expanded="true" />
                <element signature="e#1011#1012#0" expanded="true" />
                <element signature="e#1034#1035#0" expanded="true" />
                <element signature="e#1069#1070#0" expanded="true" />
                <element signature="e#1100#1101#0" expanded="true" />
                <element signature="e#1154#1155#0" expanded="true" />
                <element signature="e#1179#1180#0" expanded="true" />
                <element signature="e#1217#1218#0" expanded="true" />
                <element signature="e#1251#1252#0" expanded="true" />
                <element signature="e#1308#1309#0" expanded="true" />
                <element signature="e#1336#1337#0" expanded="true" />
                <element signature="e#1373#1374#0" expanded="true" />
                <element signature="e#1406#1407#0" expanded="true" />
                <element signature="e#1462#1463#0" expanded="true" />
                <element signature="e#1489#1490#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="CSS File" />
        <option value="Interface" />
        <option value="Enum" />
        <option value="FxmlFile" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>MALE</find>
      <find>Files</find>
      <find>update</find>
      <find>anchor</find>
      <find>start</find>
      <find>15</find>
      <find>MainWindow.css</find>
      <find>choice</find>
      <find>Choice</find>
      <find>resizable</find>
      <find>toExternal</find>
      <find>getResource</find>
      <find>lifestyle</find>
      <find>ACTIVE</find>
      <find>wysport</find>
      <find>lifeStyleToggle</find>
      <find>poniedzia</find>
      <find>trainingDaysToggle</find>
      <find>toggle</find>
      <find>timeForCookingSet</find>
      <find>if (</find>
      <find>daysOfWee</find>
      <find>jakie to</find>
      <find>color</find>
      <find>.bind</find>
      <find>System.out</find>
      <find>shuffle</find>
      <find>if(</find>
      <find>if</find>
    </findStrings>
    <replaceStrings>
      <replace>ToggleButton</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GradleLocalSettings">
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/sunkur/springjavafxcontroller/screen1/Serwis.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/sunkur/springjavafxcontroller/screen1/Screen1Controller.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/config/AppContextConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/user/Sex.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/common/ImageProvider.java" />
        <option value="$PROJECT_DIR$/src/main/resources/styles/main_window.css" />
        <option value="$PROJECT_DIR$/src/main/resources/styles/Styles.css" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/FatOptionsProvider.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/Fat.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen/BaseScreenController.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/LifeStyle.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/AimOptionsProvider.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/user/Person.java" />
        <option value="$PROJECT_DIR$/src/main/resources/fxml/time_settings.xml.fxml" />
        <option value="$PROJECT_DIR$/src/main/resources/fxml/issues_view.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/BodyPart.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/IssueType.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/TableRow.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/IssuesController.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/common/Sex.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/LifeStyleProvider.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/Aim.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/common/UserData.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/CaloriesDailyNeededCalculator.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeSettingsController.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeOfDay.java" />
        <option value="$PROJECT_DIR$/src/main/resources/fxml/time_settings.fxml" />
        <option value="$PROJECT_DIR$/src/main/resources/fxml/main_window.fxml" />
        <option value="$PROJECT_DIR$/src/main/resources/styles/MainWindow.css" />
        <option value="$PROJECT_DIR$/src/main/resources/fxml/result.fxml" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/MainApp.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen1/Screen1Controller.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/MainWindowController.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableData.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/ResultController.java" />
        <option value="$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableDataGenerator.java" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="526" />
    <option name="width" value="1920" />
    <option name="height" value="528" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="AndroidView" />
      <pane id="PackagesPane" />
      <pane id="Scratches" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
              <item name="issues" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
              <item name="mainwindow" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
              <item name="result" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
              <item name="screen1" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="systems" type="462c0819:PsiDirectoryNode" />
              <item name="timesettings" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="fxml" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="img" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="img" type="462c0819:PsiDirectoryNode" />
              <item name="activity" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="img" type="462c0819:PsiDirectoryNode" />
              <item name="aim" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="img" type="462c0819:PsiDirectoryNode" />
              <item name="fat" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="styles" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="systemy-ekspertowe" type="b2602c69:ProjectViewProjectNode" />
              <item name="systemy-ekspertowe" type="462c0819:PsiDirectoryNode" />
              <item name="target" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="android.sdk.path" value="$USER_HOME$/Android/Sdk" />
    <property name="settings.editor.selected.configurable" value="settings.saveactions" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="list.type.of.created.stylesheet" value="CSS" />
    <property name="full.screen.before.presentation.mode" value="false" />
    <property name="restartRequiresConfirmation" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/main/resources/img/aim/male" />
      <recent name="$PROJECT_DIR$/src/main/resources/img/fat/male" />
      <recent name="$PROJECT_DIR$/src/main/resources/styles" />
      <recent name="$PROJECT_DIR$/src/main/resources/fxml" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/main/resources/img/fat/male" />
      <recent name="$PROJECT_DIR$/src/main/resources/img/activity" />
      <recent name="$PROJECT_DIR$/src/main/resources/img/aim/female" />
      <recent name="$PROJECT_DIR$/src/main/resources/img/fat/female" />
      <recent name="$PROJECT_DIR$/src/main/resources/img.fat" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
    </configuration>
    <configuration name="MainApp" type="Application" factoryName="Application" singleton="true" temporary="true" nameIsGenerated="true">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea">
        <pattern>
          <option name="PATTERN" value="com.sunkur.springjavafxcontroller.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="MAIN_CLASS_NAME" value="jjedlins.expert.systems.MainApp" />
      <option name="VM_PARAMETERS" value="" />
      <option name="PROGRAM_PARAMETERS" value="" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="SpringJavaFXController" />
      <envs />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
    </configuration>
    <configuration name="&lt;template&gt;" type="TestNG" default="true" selected="false">
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
    </configuration>
    <recent_temporary>
      <list size="1">
        <item index="0" class="java.lang.String" itemvalue="Application.MainApp" />
      </list>
    </recent_temporary>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="40272573-9aca-41d2-8635-07c52106cf8d" name="Default" comment="" />
      <created>1507893814617</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1507893814617</updated>
      <workItem from="1507893817260" duration="6966000" />
      <workItem from="1507907294516" duration="8955000" />
      <workItem from="1508066987298" duration="7661000" />
      <workItem from="1508076643513" duration="68000" />
      <workItem from="1508076800379" duration="809000" />
      <workItem from="1508239205467" duration="3710000" />
      <workItem from="1508357923598" duration="3181000" />
      <workItem from="1508518976659" duration="2176000" />
      <workItem from="1508592287006" duration="12906000" />
      <workItem from="1508625844794" duration="58000" />
      <workItem from="1508694537669" duration="409000" />
      <workItem from="1510644743178" duration="378000" />
      <workItem from="1511112921510" duration="71000" />
      <workItem from="1511113046187" duration="70000" />
      <workItem from="1514717232553" duration="7185000" />
      <workItem from="1514924316076" duration="12754000" />
      <workItem from="1514967575140" duration="17000" />
      <workItem from="1515007095332" duration="8516000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="87380000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="-1" width="1920" height="1055" extended-state="6" />
    <layout>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32928178" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.29139072" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.432243" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Spring" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="true" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.21523179" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.17235859" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32781458" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.2497332" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39845476" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Coverage" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3296875" sideWeight="0.5" order="4" side_tool="true" content_ui="tabs" />
    </layout>
    <layout-to-restore>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.2497332" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.39845476" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32948583" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.0" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.29139072" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Coverage" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3296875" sideWeight="0.5" order="9" side_tool="true" content_ui="tabs" />
      <window_info id="Spring" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.21523179" sideWeight="0.5" order="11" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.1814301" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32843652" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="true" content_ui="tabs" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="UnknownFeatures">
    <option featureType="com.intellij.fileTypeFactory" implementationName="*.gitignore" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="28" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="evaluateExpression">
      <expression>
        <expression-string>vbox.getScene()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>getRoot()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>vbox.prefWidthProperty()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>((CheckBox)actionEvent.getSource()).getUserData()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>actionEvent.getSource()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>UserData.userData</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>issuesGridPane.rowConstraints.size()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>((ToggleButton) newToggle).getText()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>newToggle</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/scene/control/TableColumn.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="123" column="41" lean-forward="true" selection-start-line="123" selection-start-column="41" selection-end-line="123" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/TableRow.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="18" column="11" lean-forward="false" selection-start-line="18" selection-start-column="11" selection-end-line="18" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/src.zip!/java/util/Collection.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="145" column="0" lean-forward="true" selection-start-line="145" selection-start-column="0" selection-end-line="145" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/scene/control/Control.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="81" column="22" lean-forward="false" selection-start-line="81" selection-start-column="22" selection-end-line="81" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/scene/control/Labeled.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="95" column="41" lean-forward="true" selection-start-line="95" selection-start-column="41" selection-end-line="95" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/scene/control/Label.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="52" column="32" lean-forward="false" selection-start-line="52" selection-start-column="32" selection-end-line="52" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/src.zip!/java/io/File.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="474">
          <caret line="1395" column="9" lean-forward="true" selection-start-line="1395" selection-start-column="9" selection-end-line="1395" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/IssueType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="21" lean-forward="false" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/scene/input/InputMethodEvent.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="140" column="24" lean-forward="false" selection-start-line="140" selection-start-column="24" selection-end-line="140" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/fxml/issues_view.fxml">
      <provider editor-type-id="JavaFX-Scene-Builder">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="69">
          <caret line="33" column="41" lean-forward="true" selection-start-line="33" selection-start-column="41" selection-end-line="33" selection-end-column="41" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/IssuesController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="30" column="0" lean-forward="false" selection-start-line="30" selection-start-column="0" selection-end-line="30" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/common/Sex.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/LifeStyleProvider.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="317">
          <caret line="46" column="33" lean-forward="false" selection-start-line="46" selection-start-column="33" selection-end-line="46" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/Fat.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="10" lean-forward="true" selection-start-line="13" selection-start-column="10" selection-end-line="13" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/src.zip!/java/text/Normalizer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="355">
          <caret line="136" column="13" lean-forward="true" selection-start-line="136" selection-start-column="13" selection-end-line="136" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/AimOptionsProvider.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="58" column="74" lean-forward="false" selection-start-line="58" selection-start-column="74" selection-end-line="58" selection-end-column="74" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/src.zip!/java/lang/Integer.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="233">
          <caret line="1218" column="7" lean-forward="true" selection-start-line="1218" selection-start-column="7" selection-end-line="1218" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/com/sun/javafx/binding/ExpressionHelper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="75" column="0" lean-forward="false" selection-start-line="75" selection-start-column="0" selection-end-line="75" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen/FXMLUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="417">
          <caret line="45" column="47" lean-forward="false" selection-start-line="45" selection-start-column="47" selection-end-line="45" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeOfDay.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" column="14" lean-forward="false" selection-start-line="4" selection-start-column="14" selection-end-line="4" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/src.zip!/java/util/Arrays.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="194">
          <caret line="3798" column="30" lean-forward="false" selection-start-line="3798" selection-start-column="30" selection-end-line="3798" selection-end-column="30" />
          <folding>
            <element signature="e#177013#177014#0" expanded="false" />
            <element signature="e#177054#177055#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/Aim.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="2" column="12" lean-forward="false" selection-start-line="2" selection-start-column="12" selection-end-line="2" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/styles/Styles.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" column="0" lean-forward="true" selection-start-line="5" selection-start-column="0" selection-end-line="5" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/fxml/time_settings.fxml">
      <provider editor-type-id="JavaFX-Scene-Builder">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="15" column="27" lean-forward="false" selection-start-line="15" selection-start-column="27" selection-end-line="15" selection-end-column="27" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/fxml/result.fxml">
      <provider editor-type-id="JavaFX-Scene-Builder">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="0" lean-forward="false" selection-start-line="6" selection-start-column="0" selection-end-line="6" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/MainApp.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="300">
          <caret line="27" column="0" lean-forward="false" selection-start-line="27" selection-start-column="0" selection-end-line="27" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/fxml/main_window.fxml">
      <provider editor-type-id="JavaFX-Scene-Builder">
        <state />
      </provider>
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" column="35" lean-forward="false" selection-start-line="8" selection-start-column="35" selection-end-line="8" selection-end-column="35" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/styles/MainWindow.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="1" lean-forward="false" selection-start-line="7" selection-start-column="1" selection-end-line="7" selection-end-column="1" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen/ScreensContoller.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="173">
          <caret line="68" column="0" lean-forward="false" selection-start-line="68" selection-start-column="0" selection-end-line="68" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/scene/layout/VBox.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="158">
          <caret line="352" column="38" lean-forward="true" selection-start-line="352" selection-start-column="38" selection-end-line="352" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen1/Serwis.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/screen1/Screen1Controller.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="31" column="0" lean-forward="false" selection-start-line="31" selection-start-column="0" selection-end-line="31" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/mainwindow/MainWindowController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1590">
          <caret line="123" column="13" lean-forward="false" selection-start-line="123" selection-start-column="13" selection-end-line="123" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/src.zip!/java/util/Collections.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="186">
          <caret line="491" column="23" lean-forward="false" selection-start-line="491" selection-start-column="23" selection-end-line="491" selection-end-column="23" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/timesettings/TimeSettingsController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="870">
          <caret line="69" column="0" lean-forward="false" selection-start-line="69" selection-start-column="0" selection-end-line="69" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/value/ObservableValue.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="76" column="29" lean-forward="true" selection-start-line="76" selection-start-column="29" selection-end-line="76" selection-end-column="29" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/value/ObservableObjectValue.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="35" column="59" lean-forward="true" selection-start-line="35" selection-start-column="59" selection-end-line="35" selection-end-column="59" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/value/ObservableStringValue.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="36" column="59" lean-forward="true" selection-start-line="36" selection-start-column="59" selection-end-line="36" selection-end-column="59" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/binding/StringExpression.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="293">
          <caret line="46" column="57" lean-forward="false" selection-start-line="46" selection-start-column="57" selection-end-line="46" selection-end-column="57" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/property/ReadOnlyStringProperty.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="225">
          <caret line="38" column="61" lean-forward="false" selection-start-line="38" selection-start-column="61" selection-end-line="38" selection-end-column="61" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/property/StringProperty.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="293">
          <caret line="56" column="55" lean-forward="true" selection-start-line="56" selection-start-column="55" selection-end-line="56" selection-end-column="55" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/property/StringPropertyBase.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="48" column="56" lean-forward="true" selection-start-line="48" selection-start-column="56" selection-end-line="48" selection-end-column="56" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/beans/property/SimpleStringProperty.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="35" column="54" lean-forward="false" selection-start-line="35" selection-start-column="54" selection-end-line="35" selection-end-column="54" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/CaloriesDailyNeededCalculator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="116" column="40" lean-forward="true" selection-start-line="116" selection-start-column="40" selection-end-line="116" selection-end-column="40" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/src.zip!/java/util/Random.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1037">
          <caret line="385" column="15" lean-forward="false" selection-start-line="385" selection-start-column="15" selection-end-line="385" selection-end-column="15" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar:///opt/java/jdk1.8.0_144/javafx-src.zip!/javafx/scene/Node.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="444">
          <caret line="703" column="0" lean-forward="true" selection-start-line="703" selection-start-column="0" selection-end-line="703" selection-end-column="0" />
          <folding>
            <element signature="e#30267#30268#0" expanded="false" />
            <element signature="e#30324#30325#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableData.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="24" column="29" lean-forward="false" selection-start-line="24" selection-start-column="29" selection-end-line="24" selection-end-column="29" />
          <folding>
            <element signature="e#799#800#0" expanded="true" />
            <element signature="e#826#827#0" expanded="true" />
            <element signature="e#876#877#0" expanded="true" />
            <element signature="e#897#898#0" expanded="true" />
            <element signature="e#930#931#0" expanded="true" />
            <element signature="e#959#960#0" expanded="true" />
            <element signature="e#1011#1012#0" expanded="true" />
            <element signature="e#1034#1035#0" expanded="true" />
            <element signature="e#1069#1070#0" expanded="true" />
            <element signature="e#1100#1101#0" expanded="true" />
            <element signature="e#1154#1155#0" expanded="true" />
            <element signature="e#1179#1180#0" expanded="true" />
            <element signature="e#1217#1218#0" expanded="true" />
            <element signature="e#1251#1252#0" expanded="true" />
            <element signature="e#1308#1309#0" expanded="true" />
            <element signature="e#1336#1337#0" expanded="true" />
            <element signature="e#1373#1374#0" expanded="true" />
            <element signature="e#1406#1407#0" expanded="true" />
            <element signature="e#1462#1463#0" expanded="true" />
            <element signature="e#1489#1490#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/common/UserData.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="24" column="22" lean-forward="true" selection-start-line="24" selection-start-column="22" selection-end-line="24" selection-end-column="22" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/ResultController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="420">
          <caret line="53" column="73" lean-forward="false" selection-start-line="53" selection-start-column="73" selection-end-line="53" selection-end-column="73" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/result/TableDataGenerator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="113" column="40" lean-forward="true" selection-start-line="113" selection-start-column="40" selection-end-line="113" selection-end-column="40" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1716#1717#0" expanded="true" />
            <element signature="e#1774#1775#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/jjedlins/expert/systems/issues/BodyPart.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="15" column="0" lean-forward="true" selection-start-line="15" selection-start-column="0" selection-end-line="15" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>